Unrealircd 4 char set bug

If your UnrealIRCd is up and running but you have a question about it, then use this forum.
(NOT for installation or connecting issues! Use the other forum instead.)

Moderator: Supporters

Locked
Nevarline
Posts: 3
Joined: Sat Apr 11, 2020 7:28 pm

Unrealircd 4 char set bug

Post by Nevarline » Sat Apr 11, 2020 7:50 pm

Hello, i was trying something i found something. I'm using turkish nick char set. in my conf "set { allowed-nickchars { turkish; }; };" i have this. In channel with user nickname "Şeref" is staying but also a new user can came with "şeref" same nick but just uppercase lowercase.. Same nick on the channel :) Is this normal or just a bug ? Also, im using unrealircd4.0.18

PeGaSuS
Posts: 60
Joined: Tue Jun 27, 2017 4:42 pm

Re: Unrealircd 4 char set bug

Post by PeGaSuS » Sun Apr 12, 2020 12:21 am

That's not a bug.

You should consult the UnrealIRCd documentation:
https://www.unrealircd.org/docs/Nick_Character_Sets

Pay special attention to:
https://www.unrealircd.org/docs/Nick_Ch ... tant_notes

Hope this helps.

Nevertheless, you're encouraged to upgrade your IRCd to the latest version: 5.0.3.1

Cheers!
What goes around comes around!

Nevarline
Posts: 3
Joined: Sat Apr 11, 2020 7:28 pm

Re: Unrealircd 4 char set bug

Post by Nevarline » Thu Apr 16, 2020 2:04 pm

I did update version unrealircd-5.0.3 but ircservices does not work gives protocol error is there any solution?

PeGaSuS
Posts: 60
Joined: Tue Jun 27, 2017 4:42 pm

Re: Unrealircd 4 char set bug

Post by PeGaSuS » Thu Apr 16, 2020 3:17 pm

Use Anope or Atheme.
What goes around comes around!

katsklaw
Official supporter
Posts: 1124
Joined: Sun Apr 18, 2004 5:06 pm
Contact:

Re: Unrealircd 4 char set bug

Post by katsklaw » Thu Apr 16, 2020 3:54 pm

Nevarline wrote:
Thu Apr 16, 2020 2:04 pm
I did update version unrealircd-5.0.3 but ircservices does not work gives protocol error is there any solution?
IRCServices stopped updating their services package several years ago and do not support unreal5. You'll need to try a different package as already suggested.

Locked